{% extends '@RadditApp/base.html.twig' %}

{% from '@RadditApp/macros/submissions.html.twig' import submission %}
{% from '@RadditApp/macros/comments.html.twig' import comment %}

{% block title %}{{ user.username }}{% endblock %}

{% block page_classes %}
  user-page
{% endblock %}

{% block body %}
  <div class="container user-submissions">
    <h2>{{ 'user.submissions'|trans }}</h2>
    {% for submission in submissions %}
      {{ submission(submission) }}
    {% endfor %}
  </div>

  <div class="container user-comments">
    <h2>{{ 'user.comments'|trans }}</h2>
    {% for comment in comments %}
      {{ comment(comment, false) }}
    {% endfor %}
  </div>

  {% if user.moderatorTokens|length %}
    <div class="container">
      <h2>{{ 'user.moderates'|trans({'%username%': user.username}) }}</h2>
      <ul>
        {% for token in user.moderatorTokens %}
          <li>
            <a href="{{ path('raddit_app_forum', {forum_name: token.forum.name}) }}">
              {{- token.forum.name -}}
            </a>
          </li>
        {% endfor %}
      </ul>
    </div>
  {% endif %}
{% endblock %}
